Package org.eclipse.emf.compare.rcp.graph

## Interface IGraphConsumer

All Known Implementing Classes:
  `ThreadedModelResolver`

    public interface IGraphConsumer

Graph consumer, that maintains the state of a graph created by a third party.

Since:
  2.4

### Method Summary

All Methods Instance Methods Abstract Methods
`IGraphView<URI>` `getGraphView()` Provide a read-only view of the graph used by this consumer.
`String` `getId()` Return the ID used to identify this specific consumer.
`void` `setGraph​(IGraph<URI> graph)` Set the graph to be used by this consumer.

### Method Detail

#### setGraph

    void setGraph​(IGraph<URI> graph)

Set the graph to be used by this consumer.

Parameters:
  `graph` - The graph to use

#### getId

    String getId()

Return the ID used to identify this specific consumer.

Returns:
  the consumer id

#### getGraphView

    IGraphView<URI> getGraphView()

Provide a read-only view of the graph used by this consumer.

Returns:
  A read-only view of the graph used by this consumer.